# Copyright 2010-2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import cliapp


def commit_to_git(source_dir, pathnames):
    cliapp.runcmd(['git', 'add'] + pathnames, cwd=source_dir)
    cliapp.runcmd(['git', 'commit', '-m', 'Publish log entry'], cwd=source_dir)


def pull_rebase_git(source_dir):
    cliapp.runcmd(['git', 'pull', '--rebase'], cwd=source_dir)


def push_git(source_dir):
    cliapp.runcmd(['git', 'push', 'origin', 'HEAD'], cwd=source_dir)
